Package org.apache.commons.exec.util

# Class StringUtils

java.lang.Object
org.apache.commons.exec.util.StringUtils

public class StringUtils extends Object
Supplement of commons-lang, the stringSubstitution() was in a simpler implementation available in an older commons-lang implementation. This class is not part of the public API and could change without warning.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringUtils()`
  Deprecated.
  Will be private in the next major version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `fixFileSeparatorChar(String arg)`
  Fixes the file separator char for the target platform using the following replacement.
  `static boolean`
  `isQuoted(String argument)`
  Determines if this is a quoted argument - either single or double-quoted.
  `static String`
  `quoteArgument(String argument)`
  Put quotes around the given String if necessary.
  `static String[]`
  `split(String input, String splitChar)`
  Split a string into an array of strings based on a separator.
  `static StringBuffer`
  `stringSubstitution(String argStr, Map<? super String,?> vars, boolean isLenient)`
  Perform a series of substitutions.
  `static String`
  `toString(String[] strings, String separator)`
  Deprecated.
  Use `String.join(CharSequence, CharSequence...)`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StringUtils

    @Deprecated public StringUtils()
    Deprecated.
    Will be private in the next major version.
    Constructs a new instance.

- ## Method Details

  - ### fixFileSeparatorChar

    public static String fixFileSeparatorChar(String arg)
    Fixes the file separator char for the target platform using the following replacement.
    - '/' → File.separatorChar
    - '\\' → File.separatorChar
    Parameters:
      `arg` - the argument to fix.
    Returns:
      the transformed argument.

  - ### isQuoted

    public static boolean isQuoted(String argument)
    Determines if this is a quoted argument - either single or double-quoted.
    Parameters:
      `argument` - the argument to check.
    Returns:
      true when the argument is quoted.

  - ### quoteArgument

    public static String quoteArgument(String argument)
    Put quotes around the given String if necessary.

    If the argument doesn't include spaces or quotes, return it as is. If it contains double quotes, use single quotes - else surround the argument by double quotes.

    Parameters:
      `argument` - the argument to be quoted.
    Returns:
      the quoted argument.
    Throws:
      `IllegalArgumentException` - If argument contains both types of quotes.

  - ### split

    public static String[] split(String input, String splitChar)
    Split a string into an array of strings based on a separator.
    Parameters:
      `input` - what to split.
      `splitChar` - what to split on.
    Returns:
      the array of strings.

  - ### stringSubstitution

    public static StringBuffer stringSubstitution(String argStr, Map<? super String,?> vars, boolean isLenient)
    Perform a series of substitutions.

    The substitutions are performed by replacing ${variable} in the target string with the value of provided by the key "variable" in the provided hash table.

    A key consists of the following characters:

    - letter
    - digit
    - dot character
    - hyphen character
    - plus character
    - underscore character
    Parameters:
      `argStr` - the argument string to be processed.
      `vars` - name/value pairs used for substitution.
      `isLenient` - ignore a key not found in vars or throw a RuntimeException?
    Returns:
      String target string with replacements.

  - ### toString

    @Deprecated public static String toString(String[] strings, String separator)
    Deprecated.
    Use `String.join(CharSequence, CharSequence...)`.
    Concatenates an array of string using a separator.
    Parameters:
      `strings` - the strings to concatenate.
      `separator` - the separator between two strings.
    Returns:
      the concatenated strings.